<?php

namespace App\Dto\V1;

class RoleDto
{
    public function __construct(
        public string $name,
        public array $permissionIds,
    )
    {
    }

    public function rolePayload(): array
    {
        return [
            'name' => $this->name,
            'guard_name' => 'web',
        ];
    }
}
